std::ranges::greater_equal Struct Reference

`#include <ranges_cmp.h>`

## Public Types

using | is_transparent

## Static Public Member Functions

template<typename _Tp, typename _Up> requires totally_ordered_with<_Tp, _Up>
static constexpr bool | operator() (_Tp &&__t, _Up &&__u) noexcept(noexcept(std::declval< _Tp >()< std::declval< _Up >()))

## Detailed Description

ranges::greater_equal function object type.

Definition at line 155 of file ranges_cmp.h.

## Member Typedef Documentation

## is_transparent

using std::ranges::greater_equal::is_transparent

Definition at line 164 of file ranges_cmp.h.

## Member Function Documentation

## operator()()

template<typename _Tp, typename _Up>
requires totally_ordered_with<_Tp, _Up>

constexpr bool std::ranges::greater_equal::operator() | ( | _Tp && | __t,
|  | _Up && | __u )

inline static constexpr noexcept

Definition at line 160 of file ranges_cmp.h.

The documentation for this struct was generated from the following file:

- ranges_cmp.h